<script lang="ts">
  export let textPrimary = "Calculating...";
  export let textSecondary = "Start";
  let inProcess = false;
  $: active = inProcess ? textPrimary : textSecondary;
  const toggle = () => {
    inProcess = !inProcess;
  };
</script>

<button on:click={toggle}>{active}</button>

<style lang="scss">
</style>